#ifndef SPELLS_H
#define SPELLS_H

#include <QVector>
#include "Spell.h"
#include "SpellFilter.h"

class Spells
{
public:
    Spells(QVector<Spell> spells);

    int size() const;
    Spell at(int index) const;
    int indexOf(const Spell &spell) const;
    void sort(QString key, Qt::SortOrder order);
    void setSpellFilter(SpellFilter *filter);

private:
    QVector<Spell> _spells;
    QVector<Spell> _filteredSpells;
};

#endif // SPELLS_H
